:root {
  --border-color: #e9ebeb;
}

.app {
  display: flex;
  flex-direction: column;
  width: 80%;
  height: 80%;
  margin: auto;
  border: 1px solid var(--border-color);
}

.header {
  border-bottom: 1px solid var(--border-color);
  display: flex;
  justify-content: flex-end;
}

.headerItem {
  margin: 10px;
}

.main {
  flex: 1;
  display: flex;
  overflow: auto;
}

.pokemon-list-wrapper {
  flex: 1;
  border-right: 1px solid var(--border-color);
}

.pokemon-wrapper {
  flex: 3;
  display: flex;
}

.pokemon-list-wrapper, .pokemon-wrapper {
  height: 100%;
  overflow: auto;
}

.popupWrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(110, 110, 110, 0.7);
  display: flex;
  z-index: 100;
  overflow: scroll;
}

.popup {
  width: 40%;
  margin: auto;
  background: white;
  padding: 20px;
  border-radius: 5px;
  box-shadow: rgba(110, 110, 110, 1) 1px 1px 15px;
}

.popup-type-item {
  display: flex;
}

/*.popup input:not(.pokemon-type-input) {*/
/*  display: block;*/
/*  width: 100%;*/
/*  box-sizing: border-box;*/
/*}*/

.popup-item-wrapper:not(:first-child) {
  margin-top: 40px;
}

.popup-item {
  margin: 10px 0;
}

.popup-type-text {
  margin-bottom: 10px;
}

.popup-options button:not(:first-child) {
  margin-left: 10px;
}
